<div class="flex justify-between m-8">
  <div class="text-2xl font-extrabold">Cinta Coding</div>
  <div *ngIf="isLogin" class="w-20 text-xl font-bold text-gray-400 border-b-2 border-blue-700 text-center">
    <a (click)="goLink('/post')">Post</a>
  </div>
  <div [hidden]="isLogin">
    <button mat-raised-button color="primary" (click)="goLink('/login')" class="mat-rounded">Login</button>
  </div>
  <div *ngIf="isLogin">
    <a [matMenuTriggerFor]="menu">Welcome, {{userName}}</a>
    <mat-menu #menu="matMenu">
      <button mat-menu-item (click)="goLink('/profile')">Detail Profile</button>
      <button mat-menu-item (click)="logout()">Logout</button>
    </mat-menu>
  </div>
</div>
